/**************************************************************
	MCD05_bt.h Hardware settings and utility functions

						2015.7.13 M.Ustumi@ARCDEVICE

***************************************************************/

#ifndef MCD05_BT_H
#define MCD05_BT_H

#include"p30f4011.h"

// ̎
#define MCD05

// NbN
//#define FOSC_7_3728MHz
#define FOSC_10MHz

// LED ̐ݒ
#define TRIS_LED 	_TRISE8
#define LED 		_LATE8
#define LED_ON() 	LED = 0
#define LED_OFF() 	LED = 1

//ESPI
#define DIR_DE		_LATF0
#define TRIS_DIR_DE	_TRISF0
#define DIR_RE		_LATF1
#define TRIS_DIR_RE	_TRISF1
#define CS		PORTBbits.RB2
#define TRIS_CS   _TRISB2
#define SPI_SCK	_RF6

// Motor Driver
#define ENABLE		_LATF5
#define TRIS_ENABLE	TRISFbits.TRISF5


#define TRUE 1
#define FALSE 0

#define UCHAR unsigned char
#define USHORT unsigned short 
#define UINT   unsigned int 
#define ULONG  unsigned long

#define BYTE 	unsigned char 
#define WORD 	unsigned short 
#define DWORD unsigned long 
#define BOOL int

void UT_SetTimeout( float dt_s  );
void UT_StartTimeoutTimer( void );
#define UT_StopTimeoutTimer()	T2CONbits.TON = 0
#define UT_IsTimeout()	IFS0bits.T3IF
#define UT_ClearTimeout() IFS0bits.T3IF = 0

void UT_Wait_us( WORD us  );
void UT_Wait_ms( WORD ms );
void UT_Blink( WORD t );
void UT_ZeroMemory( void* pBuf, WORD wSize );

void FLASH_Erase_32dw( WORD wAddr );
void FLASH_Write_4dw( WORD wAddr, WORD* pwCode );
void FLASH_Read_dw( WORD wAddr, WORD* pwCode );

void EEP_Read( WORD wPage, WORD wOffset, WORD* pwBuf, WORD wSize );
void EEP_Write( WORD wPage, WORD wOffset, WORD* pwBuf, WORD wSize );


#endif
